from z3 import mainSMA, mainMedian
import pytest
spisok_med=[10.47051078, 10.93666561, 11.39417199, 11.8388634, 12.26675982, 12.67412534, 13.05752198, 13.41385896, 13.74043643, 14.03498326, 14.29568809, 14.52122333, 14.71076154]

spisok_sma=[10, 10.47051078, 10.93666561, 10.933782793333334, 11.389900333333332, 11.833265070000001, 12.259916186666667, 12.666135713333333, 13.048502093333335, 13.403939123333336, 13.729759549999999, 14.023702593333335, 14.283964893333334, 14.50922432, 14.698656356666667, 14.851942756666666]

def test_mainD():
    assert mainSMA(3) == spisok_sma

def test_mainMedian():
    assert mainMedian(3)==spisok_med

